> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/financial-configuration/payment-terms > Retrieves payment terms for the current tenant with optional pagination ## OpenAPI ````json GET /public/accounting/v1/financial-configuration/payment-terms { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/financial-configuration/payment-terms": { "get": { "tags": [ "accounting" ], "description": "Retrieves payment terms for the current tenant with optional pagination", "parameters": [ { "name": "pageSize", "in": "query", "description": "Number of items per page. Defaults to 250, max 250", "schema": { "maximum": 250, "type": "integer", "format": "int32", "default": 250 } }, { "name": "continuationToken", "in": "query", "description": "Continuation token for retrieving the next page of results", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Paginated list of payment terms.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.FinancialConfiguration.Contracts.PaymentTerm.Apis.Responses.GetPaymentTermsResponse" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Accounting.FinancialConfiguration.Contracts.PaymentTerm.Apis.Responses.GetPaymentTermsResponse": { "type": "object", "properties": { "paymentTerms": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Accounting.FinancialConfiguration.Contracts.PaymentTerm.Apis.Responses.GetPaymentTermsResponseItem" }, "description": "The collection of payment terms.", "nullable": true }, "nextLink": { "type": "string", "description": "Next link for pagination. Null when there are no more pages.", "nullable": true } }, "additionalProperties": false, "description": "Response model for the GET /financial-configuration/payment-terms endpoint." }, "R365.Accounting.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } }, "R365.Accounting.FinancialConfiguration.Contracts.PaymentTerm.Apis.Responses.GetPaymentTermsResponseItem": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier for the payment term.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the payment term (e.g., \"NET30\").", "nullable": true } }, "additionalProperties": false, "description": "Simplified payment term item returned by GET /financial-configuration/payment-terms." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````